 Introduction

AntispamSniper for The Bat! provides professional anti-spam and anti-phishing protection for your mailbox. A combination of several methods for automatic email classification results in an excellent filtering quality with the minimum error rate. The plug-in also has a built-in option allowing you to delete spam on the server by message headers. Good messages deleted by mistake can be restored within a certain period of time after deletion. The plug-in filters POP3 and IMAP accounts.

What methods are used?
  • First of all, it is a statistical trainable classification algorithm with unique characteristics. It analyzes your private correspondence, singles out distinguishing features from messages of different classes and uses this information for the effective analysis of incoming messages. The algorithm constantly improves its classification quality with each new processed message.

  • Messages from whitelisted senders are not filtered by other methods and are classified as non-spam. The whitelist can be optionally updated automatically.

  • Messages received from blacklisted senders are classified as spam. The blacklist is optionally updated automatically.

  • Filtering rules detect spam and normal messages by specific combinations of characters in their bodies and headers. These rules are optional because the trained algorithm and the whitelist are very effective. But carefully compiled lists of rules may improve the classification quality in those cases when the algorithm cannot select a certain class for a message with high probability.

  • Exceptions are empirical filtering conditions. For example, large messages are probably non-spam. The presence of certain types of attached files can also be a good sign to consider a message as non-spam.

  • The anti-phishing filter blocks messages with spoof links and thus protects you against phishing attacks.

  • DNSBL services are used to block spam by the IP address of the sender.

  • The list of black words is used to delete spam by keywords in message subjects.

  • The plug-in optionally learns outgoing messages as non-spam.

  • The plug-in can delete spam on the server using the list of accounts. These filtering accounts can be added either manually or automatically (in case of non-secure connections).

  • Messages can be blocked by attachments types. The plug-in automatically detects automatically attached Windows executable modules, animated GIF images and images in HTML linked to fraudulent servers.

The classifier starts working right after the installation and detects spam with a quite high quality. To improve the filtering quality, you should configure the plug-in according to instructions from Getting started.


 Installation

Open Options->Preferences->Anti-spam. To add a new plug-in, click the Add button. Then browse for the installation directory and select antispamsniper.tbp. It will appear in the Anti-spam plug-ins list.
Selecting it and click the Delete button will remove the plug-in from list.

The next section describes how to configure the plug-in.

Note: It is recommended to remove any other installed anti-spam plug-ins from The Bat!. If you have several plug-ins installed, the overall rating of messages is evaluated according to a special parameter in The Bat! settings. It is "Average" by default and this means that the rating will be evaluated as an average between the ratings obtained from each plug-in. "Maximum" and "Minimum" mean that the maximum or minimum rating among all values will be taken as the overall rating. Plug-ins do not learn from each other and that is why there is no point in installing several plug-ins simultaneously. The classification quality will be approximately equal to the quality of the plug-in with the worst characteristics. Moreover, a less trained plug-in will be unable to learn normally. A more trained plug-in will classify correctly messages unknown to a less trained plug-in and, therefore, the less trained plug-in will never learn using such messages.


 Getting started

The plug-in starts filtering spam immediately after the installation. But the email client performs filtering, whereas the plug-in only assigns a spam ratio to incoming messages. Therefore, you need to configure TheBat! first.

Select Options->Preferences->Anti-spam. The following options are available:

  • Of 100 score to be used for actions below
    If you have only one plug-in installed, this parameter is useless.
  • Delete a message if the score is greater than.
    Defines the minimum number of points needed before a message should be deleted. This is a very destructive parameter so don't enable it. You will be unable to recover misclassified and deleted emails otherwise.
  • Move a message to the Junk folder if the score is greater than.
    Defines the minimum number of points needed to automatically move a message to the Junk folder. The higher value you set, the higher probability of false negatives you get (when spam is misclassified as normal messages). On the other hand, the probability of false positives becomes lower in that case (when normal messages are misclassified as spam). The default value is 60 and it is good enough in most cases. If you set it to 80-90, you will probably get more misclassified spam in your mailbox, but the probability of false positives will be much lower.
  • Mark stored junk mail as read.
    This is a self-explainatory option and it is convenient to have it enabled.
  • Move messages marked as junk to the Junk folder.
    If this option is enabled, messages will be moved to the Junk folder automatically when you mark them as spam.
  • Use common Junk folder.
    You can enable this option if you want to. It doesn't influence the filtering quality.

Now you can start configuring the plug-in. Select AntispamSniper from the list and click Configure. The plug-in configuration window will appear. You can leave the default values or read the other topics of this manual and do something interesting ( Statistics , Filtering , Options ).

If you have some normal and spam messages in your mail client, it makes sense to train the plug-in using them. To train the plug-in, you can use the corresponding menu items in TheBat! - "Specials->Mark as Junk" and "Specials->Mark as NOT Junk". Just select one or more messages of either class and click the corresponding menu item. For your convenience you can specify shortcuts for these actions. New versions of TheBat! allow you to do it it in the Customize dialog box (View->Toolbars->Customize).

The whitelist is filled automatically when you are training the filter using non-spam messages. The more non-spam messages you mark, the more contacts will be listed. Messages from friendly addresses are not filtered and it is the best protection against being misclassified by other methods. The classifier needs messages of both classes. So feed it also with your junk messages if you have any.

The anti-phishing filter is enabled by default, but you can disable it if you don't need it.

Tune up the DNSBL and Black words mechanisms in order to filter messages by their headers. To allow the plug-in to delete spam by message headers on the server and enable filtering IMAP accounts, fill up the list of accounts on the Servers tab. Don't forget to increase server timeouts in the account properties dialog box of The Bat! in order to avoid disconnections while the plug-in is checking message headers on the server.

Then you can enable the Testing mode and take a look at the Filtering log to see how the filter classifies existing messages. If you see any mistakes, you can train the plug-in using misclassified messages. The initial configuration is complete if you are satisfied with the results.

You can continue using the mail client as usual. It is necessary to review the Junk folder and search for misclassified messages. It is especially important in the beginning when the plug-in is not trained enough to avoid false positives. The probability of such mistakes will get lower fast if you train the plug-in.


 Filtering

The following features are available on the "Filtering" tab of the main configuration window:
  • Whitelist of senders' addresses (Friends).
    The "Edit list" button opens the window where you can edit the list of friendly addresses. The options for updating the list automatically and using the messages from friendly addresses for training are described in Friends.

  • The option allowing the plug-in learn outgoing messages as non-spam is enabled by default. The plug-in filters SMTP connections (port 25) and marks outgoing messages as non-spam in this mode.

  • "White" rules for recognizing non-spam messages.

  • "Black" rules for recognizing spam messages.

  • DNSBL are used to block spam by the sender's IP address.

  • The list of black words is used to block spam by keywords in the subjects of incoming messages.

  • Anti-phishing rules block messages with spoof hyperlinks.

  • Attachments - methods for classifying messages with attachments.

  • Senders - the black list of senders' addresses.

  • Exceptions - empirical rules for finding exceptions in incoming messages.

  • The Testing mode allows you to test the plug-in settings and see how it classifies existing email messages.


 Friends

The list of friends contains email addresses with display names. Messages from these addresses are autoamtically recognized as non-spam. This check is performed before the plug-in applies rules uses the statistical classifier. That is why messages from friendly addresses will never be filtered out as spam.

The following options are available on the Filtering tab of the main configuration window:
  • Learn messages from friends as non-spam.
    Messages from friendly addresses are considered as non-spam and so training the classifier using them will be good for the classification quality. But sometimes spammers insert a valid, existing email address to the "From" field. Therefore, the probability of receiving a spam message with the sender's address from the whitelist is greater than zero. If this option is enabled, the filter will learn such spam as a normal message. And apparently the quality of classification will decrease in this case. You should keep an eye on incoming messages, timely detect misclassified spam and train the filter. The plug-in automatically removes email addresses in spam (in the "From" field) from the whitelist.

  • Add friends automatically.
    The plug-in automatically adds the email addresses of senders from messages learned as non-spam to the whitelist. You can feed a set of non-spam messages you have to the plug-in right after the installation. In that case, the whitelist will be filled with your friends' contact addresses automatically.

  • Extract email addresses from message bodies.
    Email addresses will be extracted from message bodies and added to the whitelist.

  • Ignore email addresses without display names.
    The probability of misclassifying a spam message with a friendly address is greater than zero. You can make it lower by filling the whitelist only with addresses having display names. This option prevents the plug-in from adding addresses without display names to the whitelist when you use non-spam messages to train the plug-in. When this option is enabled the plug-in checks display names along with email addresses while classifying incoming messages.
You can edit the whitelist manually in the dialog box for editing friendly addresses. Also, you can export and import whitelist items from text files on the disk. The format of these files is compatible with that of files exported from the TheBat Address Book. To import existing contacts to the whitelist, export items from the Address Book using the File | Export to | Address list menu item. Then open the Friends dialog box in the plug-in and import the saved file.

Wildcards are allowed in display names and addresses. For example, you can specify "*" as a display name if you want the plug-in to ignore it (check only the email address) for a certain friendly contact. "*@<server>" as an email address means that all users from that email server are whitelisted.


 Rules

The lists of black and white rules allow the plug-in to recognize spam and non-spam by specific combinations of characters in message bodies and headers. These rules are an optional supplement to the very effective trainable classification algorithm. But carefully compiled lists of rules may improve the classification quality in those cases when the algorithm cannot select a certain class for a message with high probability.

A rule consists of one ore more conditions. It is applied when all conditions are met. It is also applied when at least one of its Strong conditions is true.

White rules recognize non-spam and they are checked first. A message is classified as non-spam with the rating of 0 if at least one white rule is applied to it.

Black rules recognize spam. A message is classified as spam with the rating of 100 if at least one black rule is applied to it.

If the "Learn the message" checkbox is selected, a message will be marked as spam or non-spam depending on the type of the rule.

You can disable rules by clearing their checkboxes in the list. The same feature is available for conditions.


 Rule conditions

Conditions are PCRE regular expressions applied to the body of a message or to one of its headers. A condition works if it is possible to apply its expression to the specified part of the message. The check is case-insensitive. If you don't want to study the syntax of regular expressions, enter your expressions as text from messages, digits and spaces. The condition will be met if the text from an expression is a substring of the selected part of message.

Here are several examples of expressions:

· "foo bar"
The expression is matched if the text contains the substring "foo bar".

· "foo\s+bar"
The same as above, but there may be one or more spaces between foo and bar.
"^foo"
The expression is matched if the text starts from "foo".

· "bar$"
The expression is matched if the text ends with "bar".

· "^foo bar$"
The expression is is matched if the text is equal to "foo bar".

You can read more about regular expressions in The Bat! manual.

A condition can be marked as Strong. In this case, the rule will be applied if that condition is true no matter whether other conditions of the rule are true.

The negation flag (the Not operation) is applied to a condition if you select the corresponding checkbox.


 Exceptions

There are formal conditions allowing the plug-in to classify a message before a deep content analysis. The following conditions are selected:
  • Don't filter large messages.
    Messages larger than the specified size will not be filtered.

  • Don't filter messages with certain attachments.
    There are types of files that are almost never used in spam. You can specify the list of "white" file extensions. The filter will pass a message if it has at least one attachment of the listed type. You can also specify the minimum size of attachments that should be considered as white.


 Anti-phishing

Phishing is a type of fraud designed to steal your identity. Social-engineering schemes use 'spoof' e-mails to lead consumers to counterfeit websites designed to trick recipients into divulging financial data such as credit card numbers, account usernames, passwords and social security numbers. Hijacking brand names of banks, e-retailers and credit card companies, phishers often convince recipients to respond.

The plug-in can detect spoof hyperlinks in messages. A link is considered as spoof if the corresponding URL in the text differs from the URL referenced in link. The message containing one or more spoof links is filtered out as spam.


 DNSBL

DNSBL (Domain Name Server Blackhole Lists) or RBL (Realtime Blackhole List) services are quite effective against spam. Every service contains a list of black server IP addresses that are used to send spam. These services are accessed in real time using the DNS protocol.
To evaluate a message, the plug-in makes a query to the list of the selected DNSBL services with the sender's IP address. If the IP address is listed in several black lists (the number of required hits can be changed in the settings), the message is marked as spam.

You can select several services from the list in the DNSBL dialog box. Set the minimum number of required hits less than or equal to the number of the selected services.


 Black words

Black words are effective for filtering spam by message subjects. This method is
especially convenient for filtering spam on the server because it requires message headers only.

Every word in the list of black words has a spam ratio. It is an integer that equals to the number of messages marked as spam that have this words in their subjects. The plug-in optionally updates the list of black words automatically during training. If any of the black words appear in a normal message, it will be deleted from the list.

The plug-in counts black words with a spam ratio greater than or equal to the value specified in the settings.

By default, a message is considered as spam if it has at least one black word in its subject whose spam ratio is large enough. If you raise the minimum number of black words required for considering message as spam, the probability of mistakes will be lower.

The list of black words may be either edited manually or updated automatically during training. You can export and import the list of black words as UTF8 strings.


 Servers

The plug-in can delete spam on the server using a list of POP3 and IMAP accounts. One of the following filtering modes can be applied to an account:
  • Filter messages on the server by headers, then on the client. First, the plug-in downloads headers from the server and tries to delete unwanted messages from the server. Then the mail client downloads the remaining messages and the plug-in filters them using their full content.
  • Filter messages on the server only. In this mode, the plug-in filters only obvious spam by headers and deletes unwanted messages from the server. The remaining messages accepted without being filtered on the client.
  • Filter messages on the client only. In this mode, the plug-in filters only downloaded messages.
  • Do not filter messages received from this server. In this mode, all messages received from the specified server are marked as non-spam.
The list of accounts can be filled either manually or automatically (if the "Add new accounts automatically" option is enabled). In this case, the plug-in will analyse data sent via unprotected POP3 and IMAP connections. Accounts with secure connections (SSL) must be added manually. The plug-in can delete spam using secure POP3 connections, but it can't detect the account settings automatically in this case. Also, restoring messages deleted by their headers is not possible for secure POP3 connections.

The plug-in can delete spam by headers either manually or automatically. The "Check the accounts automatically while receiving new mail" option enables automatic deletion. The plug-in tries to find the corresponding accounts from the list as soon as the mail client establishes a new connection. Then it optionally performs the checking procedure for all found accounts. At that moment the original connections created by the mail client are suspended. If some of the mailboxes contain a lot of messages, the procedure may take a long time. To avoid a timeout disconnection, you can set the server timeout in the account properties to a large value (e.g. 6000 seconds or more).

The plug-in optionally displays the progress of checking headers on the servers in a special window.

The plug-in optionally leaves copies of messages deleted by headers on the server. It possible to restore good messages mistakenly deleted from the server by their headers using the filtering log. To undelete a message, select the corresponding record in the log and click the "Restore deleted messages" toolbar button (or select the "Undelete" context menu item). The restored messages will be downloaded next time you check the mailbox in the mail client.

Copies of deleted messages are stored on the server until the corresponding records are stored in the filtering log. To delete these messages stored on the server, click the "Mark spam on the server for deletion" toolbar button. The messages will be deleted automatically next time you check the mailbox in the mail client.

It is possible to disable leaving copies of deleted messages on the server on the POP3 tab of the account settings. Restoring messages deleted by their headers will be impossible for the corresponding mailbox.

Important notes:
- When a new account is automatically added, the plug-in knows only the IP address of the server and tries to resolve its name using a DNS query. But sometimes it is impossible to resolve the domain name using its IP address. The IP address will be specidied as the server name in that case. To make the filtering modes work properly, you have to edit the account data manually and enter the real domain name in the account settings.

- If checking accounts automatically is disabled, this procedure can be performed on the Servers tab of the main configuration window or with the help of the corresponding shortcut key (use "Options"->"Set shortcuts..."->"Delete spam on server" to specify it).

- The "Do not filter messages received from this server" filtering mode is applied to the entire server, i.e. to all accounts on that server. If you have several accounts on some server, keep in mind that if you set this mode to one of the accounts, it will be applied to all mailboxes on that server.

- The plug-in can automatically detect accounts that use non-secure port 110 (POP3) and 143 (IMAP). Accounts with different ports and secure connections must be added manually.


 Filtering IMAP

The plug-in can filter IMAP connections. Messages classified as spam are automatically moved to a special IMAP folder on the server. The corresponding record on Servers tab is necessary for enabling IMAP filtering for some account. The following options are available on the IMAP tab of account settings:

  • The Filtering Mode defines the message classification method. When the mode is set to "Filter messages by headers, then by content", the plug-in downloads message headers and tries to classify them first. The rest of messages are downloaded completely and classified by their content. If the "Filter messages by headers only" mode is enabled, message bodies are not downloaded and not classified. The "Do not filter messages received from this server" mode works similarly to the same mode for POP3 connections, i.e. messages are not classified and immediatelly considered as non-spam.

  • It is possible to specify a separate Port for IMAP connections. If the port for your IMAP account is not default 143, you can specify a different value in this field.

  • Move a message to the Junk folder if the score is greater then - defines the minimum number of points needed to automatically move a message to the Junk folder.

  • The Junk folder is the name of the IMAP folder for storing spam. This folder is created automatically before moving there the first spam message.

  • Do not filter these folders. The plug-in can skip some IMAP folders. The Junk folder is ignored automatically.

Impotant notes:

- The plug-in filters IMAP only in case of regular, unprotected connections.

- The plug-in uses POP3 to check message headers on the server when the check is started manually. It filters the IMAP protocol only when the mail client is checking email via IMAP.


 Attachments

The plug-in can block messages containing certain types of attachments. The window with the corresponding options is opened with a click on the "Attachments..." button on the Filtering tab. The following features are available:

  • It is possible to specify a list of attachment types that should be blocked. Messages with at least one attachment of the listed type are classified as spam.

  • The plug-in searches all attachments for the Windows executable signature when the corresponding option is enabled. Messages with at least one executable attachment are blocked.

  • The plug-in can recognize messages with clickable images linked to potentially dangerous websites. It checks all attached images with links in the HTML body. If some image is linked to a domain that is not the one from which the message has arrived, the message is classified as spam.

  • It is possible to block messages containing animated GIF images. Messages with at least one animated GIF image are blocked.


 Log

All cases of training the plug-in and classifying messages are saved to the filtering log. You can open the log window by clicking "View log" on the Statistics tab. You can also specify a shortcut key for it.

You can change the sorting order of log records by clicking column headers. You can also press the Shift key and sort records by several columns simultaneously. You can change the order of columns by dragging their headers to new positions.

The following fields are available:
  • Status
    The applied action with its result is displayed here:
    • The classification result displayed as the message class and the rating as percentage of the message spam ratio. The background color is different depending on the message rating: red means spam, green means non-spam, yellow means that the message has a rating close to 50%.
    • The learning result shows if the message was learned as spam or non-spam.
  • From
    The sender's address.
  • To
    The recipients' addresses.
  • Subject
    The subject of the message.
  • Time
    The time when this log record was added to the log.
  • Reason
    This field shows the reason why the message was classified the way it is indicated in the Type field. It may be the result of some filtering method or the statistical classifier.

The log window has a toolbar with the following buttons:
  • Search - search log records for a certain sequence of characters

  • Export - save the log as a CSV text file

  • Clear log - delete log records

  • Restore deleted messages - undeletes messages classified as spam by their headers. These emails are stored on the server until the corresponding records are stored in the log.

  • Mark spam on the server for deletion - marks messages filtered as spam by their headers and stored on server to allow you to undelete false positives. The marked messages will be deleted next time you check your email.


 Testing mode

A special filtering mode for checking how the rules and the classification algorithm work is called the testing mode. In this mode, the filter classifies all messages marked for training and displays the results in the log. The filter is never actually trained in the testing mode. The log records added in the testing mode have a special prefix.

This mode is useful when you check how the filter recognizes existing messages. You can select one or more messages and mark them as non-spam in the mail client. You can mark spam as well, but if you have the "Move messages marked as junk to the Junk folder" enabled, some messages may suddenly be moved to the Junk folder.

A special icon is displayed on the screen in the testing mode. You can drag it anywhere you like.

You can specify a shortcut for toggling the testing mode in the Shortcuts dialog box.


 Statistics

The plug-in collects filtering statistics during message classification. You can view the collected data in both numerical and graphical form on the Statistics page of the main configuration window.

Statistical values
Error rate | The total percent of false positives and false negatives
False negatives | The percent of learned spam from the total number of received messages.
False positives | The percent of learned non-spam from the total number of received messages.
Spam (rating > 80%) | The number of messages classified as having the rating higher than 80
Deleted from server | The number of messages deleted from the server by their headers
Unsure | The number of messages classified as having the rating between 20 and 80
Ham (rating < 20%) | The number of messages classified as having the rating lower than 20
Received messages | The total number of received and classified messages
Learned as Spam | The number of messages marked as spam
Learned as Ham | The number of messages marked as non-spam


 Options

  • Main directory.

    All plug-in settings are stored as binary files in one folder. By default, it is the AntispamSniper subdirectory of main The Bat! storage folder. The alternative path is used when it is impossible to read the path to main The Bat! storage:
    <disk>:\Documents and Settings\<user>\Application Data\AntispamSniper
    or
    <disk>:\Documents and Settings\<user>\Local Settings\Application Data\AntispamSniper
    or
    <disk>:\Documents and Settings\<user>\My Documents\AntispamSniper

    You can specify any other folder on the local disk as the main directory, including relative paths (relative to The Bat! executable). The plug-in settings will be the same for all users of the program in this case.

    If you manually chang the main directory, it will be stored in the file AntispamSniper.dir in the plug-in installation directory.
    If you delete this file, the default value will be used when you start the program next time.

    Warning! Don't set a network path as the main directory! Several users should not use the same files simultaneously. Don't try to make one classification database for several users because of errors in case of simultaneous training!

  • Classification database.

    The classification database is stored in several files:
    - statdata.fm
    - sahdata.fm
    - histdata.bin
    - histdata.bin.fm

    You can clear the classification database and train the plug-in again if you encounter serious problems with the filtering. The contents of the files above is deleted when you click the "Clear database" button. You must be sure that the problem is in the classifier before you clear the database. First, check the rules, the whitelist and the exceptions, look at the filtering log and try to detect the reason of quality problems.

  • Customize.

    - Shortcuts - the way to call the plug-in functions by pressing a combination of keys.

    - Log settings - set the maximum number of log records and its visual properties.


 FAQ

  • How to back up the plug-in data?
  • Too many normal messages are marked as spam. What is wrong?
  • Too many spam messages are considered as normal. What is wrong?
  • I don't want the plug-in to filter messages received from certain mailboxes. How to do that?

Q: How to back up the plug-in data?
A: All data is stored in the main plug-in directory as several binary files. The default main directory is the "AntispamSniper" subfolder of the main The Bat! storage folder. If the plug-in cannot detect this path, the alternative main directories will be "<disk>:\Documents and Settings\<user>\Application Data\AntispamSniper", "<disk>:\Documents and Settings\<user>\Local Settings\Application Data\AntispamSniper" or "<disk>:\Documents and Settings\<user>\My Documents\AntispamSniper".

Q: Too many normal messages are marked as spam. What is wrong?
A: First of all, you should check the filtering settings in the mail client (see Getting started).
If everything OK there, check if there are other plug-ins installed in TheBat! See Installation for explanation why it can cause errors.
Look at the Type and Reason fields of the misclassified messages in the filtering log. If the reason is some rule, you should check the list of rules and make the necessary changes there.
If the misclassified messages have high spam ratio, it may be a training error. The classifier is rather sensitive to the situations when it learns a normal message as spam or vice versa. Even one mistake like this can seriously reduce the classification quality. Check the log and try to detect training errors. If you find one or more normal messages learned as spam or spam messages learned as normal messages, you should reclassify such messages by marking them correctly in the mail client. The classification quality should increase after that.
If you correct all errors, but the classification quality is still low, it may be a kind of damage in the classification database. For example, an unexpected power failure or exceptions in the mail client may cause it. In that case, you can delete the database (by clicking the special button on the Options tab) and train the plug-in again. You can also restore the files from the backup if you have one.

Q: Too many spam messages are recognized as normal. What is wrong?
A: If you see it right after the installation, probably the classifier is not trained well enough. You should continue training it by marking incoming unsolicited messages as spam. But if the quality is still low after a long period of training, you should follow the recommendations from the previous answer step by step. Additionally, check the list of friendly addresses and delete unnecessary records if there are any.

Q: I don't want the plug-in to filter messages received from certain mailboxes. How to do that?
A: Create an account for that mailbox on the Servers tab of the plug-in configuration window and select "Do not filter messages received from this server".
If you have several mailboxes on that server and the other accounts must be filtered, the method above is not accepted (see Servers for details). In that case, you can create a white rule for each mailbox you don't want to be filtered. The rule should search for the email address of your mailbox in the recipient's address fields (the "To" and "CC" headers) of incoming messages. The first condition should search the "To" field; the second condition should search the "CC" field. Both conditions must be marked as Strong.


 Exported macros

%ANTISPAMSNIPER_VERSION - plug-in version (e.g. "1.6")

%ANTISPAMSNIPER_ERROR_RATE - filtering error rate (e.g. "0.23%").

%ANTISPAMSNIPER_RECEIVED_MESSAGES - total number of incoming messages analyzed by the plug-in since the was reset last time statistics.

%ANTISPAMSNIPER_DELETED_ON_SERVER - number of junk messages deleted on the server (e.g. "2590 (28205.98K)")

%ANTISPAMSNIPER_LAST_RESET - date and time when the statistics was reset last time.


 Registration

Free version: it requires no registration.

Commercial version: you may use the unregistered version for 30 days. The AntispamSniper plug-in is a shareware program. If you find it useful and continue to use it, you are obliged to register it. You can find the necessary instructions here:
http://www.antispamsniper.com/buy_now.html

To enter the registration key, open the About dialog box (at the top of the main configuration window). Click Register and enter your name and key.